Bug 39265 - Unresolved symbols in kernel-modules
Unresolved symbols in kernel-modules
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-06 06:03 EDT by Henrik Karlsson
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:18:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Henrik Karlsson 2001-05-06 06:03:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2smp i686; en-US; 0.8.1)
Gecko/20010409

Description of problem:
Trying to compile a new kernel with the source that came with RH 7.1 gives
a few unresolved symobls in the modules. I am using the configuration file
for i686-smp.

How reproducible:
Always

Steps to Reproduce:
1.The normal routine as described in the README file
2.When make modules_install it gives the unresolved symbols
3.
	

Actual Results:  A lot of unresolved symbols

Additional info:

find kernel -path '*/pcmcia/*' -name '*.o' | xargs -i -r ln -sf ../{} pcmcia
if [ -r System.map ]; then /sbin/depmod -ae -F System.map  2.4.2-2smp; fi
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-ali1535.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-ali15x3.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-amd756.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-elektor.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-elv.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-i801.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-philips-par.o
depmod: 	parport_unregister_device
depmod: 	parport_enumerate
depmod: 	parport_claim_or_block
depmod: 	parport_register_device
depmod: 	parport_release
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-piix4.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-sis5595.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-velleman.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-via.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/i2c-viapro.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/lm78.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/sensors.o
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/sis5595.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/via686a.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
depmod: *** Unresolved symbols in /lib/modules/misc/w83781d.o
depmod: 	request_region
depmod: 	release_region
depmod: 	check_region
[root@ksi51 linux-2.4]#
Comment 1 Henrik Karlsson 2001-06-09 11:15:47 EDT
I tried once more with using the procedure described in bug 38133. Got exactly
the same result.

Using the source from kernel-source-2.4.2-2.i386.rpm and the config from 
configs/kernel-2.4.2-i686-smp.config.
Comment 2 Arjan van de Ven 2001-06-25 14:04:12 EDT
/lib/modules/misc/lm78.o
strange path for modules......

Also, does the 2.4.3-12 kernel show the same ?
Comment 3 Need Real Name 2001-08-12 12:44:04 EDT
I got the same problem.  I configured the kernel to include "enhanced real time 
clock support" plus any available modules as "module" except a few. Here's the 
way I did it:

mrproper
make xconfig
make dep; make clean; make bzImage
make modules; make modules_install

all of which resulted in no errors.

then depmod -a gave a lot, a great deal, of unresolved symbol error messages 
for the modules.

Using kernel 2.4.2-2, but source is compiled from /usr/src/linux-2.4.2 directory




Comment 4 Arjan van de Ven 2001-08-12 12:57:06 EDT
moconnor19@aol.com: Did you try booting the kernel?
If you don't change the version in the top level makefile, make modules
will overwrite the modules for the 2.4.2-2 kernel and depmod will notice that
the modules are indeed unresolved against the currently running kernel
Comment 5 Need Real Name 2001-08-13 09:35:48 EDT
arjanv

No, I didn't boot the kernel, I thought the unresolved needed to be, er, 
resolved before booting the kernel.  Which top level makefile are you referring 
to, the modules makefile?  

Anyways, I will try booting the kernel but I want to make sure it's done 
right.  I did that last week following a book's instructions but the computer 
hanged on me after a reboot, after the "LIL-" was displayed.  I was able to 
return to the old kernel, but some configurations were changed and some 
initializations failed on bootup.  Could you show me the process by which 
loading the kernel and rebooting is done?  Currently the old kernel is at /hdb5 
(on a dedicated 2nd hard disk), which is where it is after a clean install.  
Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.